Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 20-04-2014 09:22:42

louispolaire
Membre
Distrib. : Siduction
Noyau : Linux 4.1.1-towo.1-siduction-amd64
(G)UI : xfce 4.12
Inscription : 22-08-2013

[Résolu] les PDF avec formulaire (cerfa)

Gros énervement hier,

Je vend mon vehicule et pour ceci il me faut remplir le formulaire cerfa correspondant. Cerfa que l'on trouve sur service-public.fr.
Ces pdf permettent de remplir les formulaires de façon standard afin qu'il puissent etre numérisés par scans.

Je ne suis pas parvenu à ouvrir ce fichier avec evince. Il ne m'affiche pas le formulaire mais un message qui me dit qu'il faut une version d'Adobe Acrobat Reader > 8.0...
Mon énervement et mon empressement aidant, je me résoud à installer Adobe Reader depuis les dépots multimedia (non libre, et 140M de dépendances i386....) et j'obtiens le même message... alors que la version est la 9.....

J'ai donc du ressortir de mes tiroirs un disque avec Windows pour ouvrir, remplir et imprimer les cerfas.

1- Moi ça m'enerve que l'état français utilise un format pdf non utilisable avec des logiciels libres... c'est pas un troll c'est juste que je devais le dire.
2- Hier j'étais pressé, quand j'ai vu que ça marchait pas avec la version d'Acrobat Reader des dépots multimédias j'ai pas fait dans le détail.
Suis-je passé à coté de qqch ?

J'avais déjà eu le problème pour mon passeport il y a quelques temps. À l'époque je voyais le formulaire mais je devais utiliser okular pour l'éditer et encore là il y avait un problème puisque le pdf voulait utiliser une police non-libre que je n'avais pas.

Dernière modification par louispolaire (21-04-2014 21:00:51)


Taisez-vous ! On vous écoute... - Exprimez-vous ! Personne n'écoute...

Hors ligne

#2 20-04-2014 09:51:54

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

voir https://debian-facile.org/viewtopic.php?id=8148
ça a fonctionné pour deux documents.  smile

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#3 20-04-2014 12:16:42

louispolaire
Membre
Distrib. : Siduction
Noyau : Linux 4.1.1-towo.1-siduction-amd64
(G)UI : xfce 4.12
Inscription : 22-08-2013

Re : [Résolu] les PDF avec formulaire (cerfa)

J'ai essayé avec qpdfview 0.4.9-1 et c'est pareil. Il m'affiche un message m'indiquant de mettre à jour Adobe acrobat reader.

Je vous met le lien pour télécharger le cerfa si vous voulez essayer : https://www.formulaires.modernisation.g … erfa=13754

Mais là, si même avec la version 9 d'AAR qui est sur les dépôts multimédias non-free ça ne marche pas c'est qu'il y a un gros pb.

ça serais bien si vous pouviez essayer avec des configs différentes. Je trouve ça quand même très embétant de devoir repasser sous Windows à chaque fois qu'on a un cerfa a remplir...

Taisez-vous ! On vous écoute... - Exprimez-vous ! Personne n'écoute...

Hors ligne

#4 20-04-2014 13:18:49

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

J'ai édité avec nano mais je ne vois pas trop quoi modifier au niveau du contrôle de version.

J'ai peur que, pour l'instant, la seule solution soit le paquet AdbeRdr9.4.2-1_i386linux_fra.deb  sad

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#5 20-04-2014 15:35:01

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

Je confirme que ça fonctionne avec ce paquet en provenance du site.

Je n'ai pas testé celui de Deb Multimedia. Fonctionne-t-il pour des pdf "ordinaires" ?

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#6 20-04-2014 15:53:14

vv222
Membre
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : >= Linux 4.5.0 (amd64)
(G)UI : Openbox + ROX
Inscription : 18-11-2013
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

Voici ce que me répond fbgs quand je tente d'ouvrir ce fichier :

**** This file had errors that were repaired or ignored.
**** The file was produced by:
**** >>>> Adobe LiveCycle Forms 8.2 <<<<
**** Please notify the author of the software that produced this
**** file that it does not conform to Adobe's published PDF
**** specification.



Adobe ne respecte donc pas ses propres specs roll
Euh, je voulais dire bien sûr que les specs d'Adobe ne sont pas rétrocompatibles, mais vous l'aviez tous compris, hein ?
/me se cache


-----

J'ai retrouvé le formulaire ici :
http://www.guide-carte-grise.info/info- … -cerfa.php
La version éditable présente le même problème, mais au moins la version non-éditable s'ouvre avec des logiciels "normaux".

Dernière modification par vv222 (20-04-2014 16:27:20)


Jouer sous Debian ? Facile !

Hors ligne

#7 20-04-2014 16:20:29

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

vv222 a écrit :

Voici ce que me répond fbgs quand je tente d'ouvrir ce fichier :
...
Adobe ne respecte donc pas ses propres specs roll

En même temps, si c'est le fbgs contenu dans le fbi de 2008, il se peut qu'il ne soit pas capable de l'ouvrir.

vv222 a écrit :

J'ai retrouvé le formulaire ici :
http://www.guide-carte-grise.info/info- … -cerfa.php
La version éditable présente le même problème, mais au moins la version non-éditable s'ouvre avec des logiciels "normaux".

Tiens ? La version éditable passe chez moi.
Par contre, je n'ai pas le logo cerfa.


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#8 20-04-2014 16:29:32

vv222
Membre
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : >= Linux 4.5.0 (amd64)
(G)UI : Openbox + ROX
Inscription : 18-11-2013
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

paskal a écrit :

vv222 a écrit :

Voici ce que me répond fbgs quand je tente d'ouvrir ce fichier :
...
Adobe ne respecte donc pas ses propres specs roll

En même temps, si c'est le fbgs contenu dans le fbi de 2008, il se peut qu'il ne soit pas capable de l'ouvrir.


Bon, d'accord, je réoriente discrètement mon troll…

paskal a écrit :

vv222 a écrit :

J'ai retrouvé le formulaire ici :
http://www.guide-carte-grise.info/info- … -cerfa.php
La version éditable présente le même problème, mais au moins la version non-éditable s'ouvre avec des logiciels "normaux".

Tiens ? La version éditable passe chez moi.
Par contre, je n'ai pas le logo cerfa.


Éditable via Adobe Reader ou via un quelconque lecteur PDF libre ?


Jouer sous Debian ? Facile !

Hors ligne

#9 20-04-2014 16:34:46

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

vv222 a écrit :

Éditable via Adobe Reader ou via un quelconque lecteur PDF libre ?

Pffff, j'm'ai gourré de fichier, la honte, kwa.  hmm


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#10 21-04-2014 12:02:42

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

Impossible d’ouvrir avec Iceweasel ou evince. Je crois que c'est la première fois que ça m'arrive.
J'ai essayé avec Adobe Reader sur mon smartphone, même histoire.

To view the full contents of this document, you need a later version of the PDF viewer. You can upgrade
to the latest version of Adobe Reader from www.adobe.com/products/acrobat/readstep2.html
For further support, go to www.adobe.com/support/products/acrreader.html
 


La version simple ne pose pas de pb mais la version éditable doit correspondre à une autre norme. Encore une bonne idée pour forcer à utiliser son lecteur PDF. Bonne idée pour un format qui se dit ouvert et universel

Sur la page, sur le lien "Aide" on peut lire

Le logiciel Adobe Reader version 8.0 et plus est nécessaire pour visualiser et utiliser les formulaires. Cliquez ici pour le télécharger.



Visiblement le pb a été résolu
http://forums.linuxmint.com/viewtopic.php?f=47&t=70040

En ligne

#11 21-04-2014 12:14:31

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

nIQnutn a écrit :

pour testing ...


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#12 21-04-2014 12:21:31

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#13 21-04-2014 13:30:29

df871
Membre
Lieu : Limousin
Distrib. : Debian Wheezy 7.1 32b
Noyau : Linux 3.2.0-4-486
(G)UI : Xfce 4.8
Inscription : 17-09-2013
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

Bonjour à Tous smile

La discussion m'a intrigué, et j'ai testé le cerfa, pris sur le même lien que Louis indique, j'ai donc adobe reader 9 d'installé et cela a parfaitement fonctionné !

Peut-être est-ce dû à l'ancienneté de la makine... wink

Cependant, Louis, je ne sais  si tu utilises souvent service-public, mais si tu es inscrit, il te remplit tout...

Belle journée ensoleillée smile

Dernière modification par df871 (21-04-2014 13:31:29)


Cordialement
Bernard
Crées, Consolides... puis, Continues à Créer smile
Asus P4P800, P4C 2,6Ghz, Seagate laptop SSHD 500Go, Nvidia GF 6200 512 Mo avec Debian 7.0, Xfce 4.08

Hors ligne

#14 21-04-2014 17:06:06

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

df871 a écrit :

, j'ai donc adobe reader 9 d'installé et cela a parfaitement fonctionné !

le paquet provenant de deb-multimedia ? et avec acroread-escript ?


I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#15 21-04-2014 17:12:27

df871
Membre
Lieu : Limousin
Distrib. : Debian Wheezy 7.1 32b
Noyau : Linux 3.2.0-4-486
(G)UI : Xfce 4.8
Inscription : 17-09-2013
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

smile

J'ai pris le .deb ici :
http://ardownload.adobe.com/pub/adobe/r … ux_fra.deb

et je l'ai installé !

Je sais, c'est pas beau, mais jusqu'à présent, çà fonctionne smile

Cordialement
Bernard
Crées, Consolides... puis, Continues à Créer smile
Asus P4P800, P4C 2,6Ghz, Seagate laptop SSHD 500Go, Nvidia GF 6200 512 Mo avec Debian 7.0, Xfce 4.08

Hors ligne

#16 21-04-2014 17:28:12

paskal
autobahn
Lieu : ailleurs
Inscription : 14-06-2011
Site Web

Re : [Résolu] les PDF avec formulaire (cerfa)

Oui, voir mes #4 et #5.  wink

I'd love to change the world
But I don't know what to do
So I'll leave it up to you...

logo-sur-fond.png

Hors ligne

#17 21-04-2014 18:22:05

louispolaire
Membre
Distrib. : Siduction
Noyau : Linux 4.1.1-towo.1-siduction-amd64
(G)UI : xfce 4.12
Inscription : 22-08-2013

Re : [Résolu] les PDF avec formulaire (cerfa)

Merci à tous pour vos réponses,

Je confirme que je peux ouvrir et éditer le pdf du cerfa  avec adobe reader 9 téléchargé sur le site d'adobe (http://ardownload.adobe.com/pub/adobe/r … ux_fra.deb)

La version du dépot multimédia ne fonctionne pas.

même si le paquet est non libre ça me fait une occasion de moins de démarrer Windows. Cool ! big_smile

Taisez-vous ! On vous écoute... - Exprimez-vous ! Personne n'écoute...

Hors ligne

Pied de page des forums